.radio-container {
  display: block;
  position: relative;
  padding-left: 1.625rem;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.radio-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
}

.radio-checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 0.875rem;
  width: 0.875rem;
  background-color: #eee;
  border-radius: 50%;
}

.radio-checkmark::after {
  content: "";
  position: absolute;
  display: none;
  top: 3px;
  left: 3px;
  width: 0.5rem;
  height: 0.5rem;
  border-radius: 50%;
  background: white;
}

.radio-container:hover input + .radio-checkmark {
  background-color: #ccc;
}

.radio-container input:checked + .radio-checkmark {
  background-color: #000;
}

.radio-container input:checked + .radio-checkmark::after {
  display: block;
}